<?php

namespace EventPortal\Domain\Event\Actions;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Field\Models\Field;

class DeleteEvent
{
    public function execute(Event $event): void
    {
        $event
            ->fields
            ->each(static function (Field $field): void {
                optional($field->response)->delete();

                $field->delete();
            });

        $event->delete();
    }
}
